Docs
Search docs...⌘K

Outgoing internal anchors

GET/v3/site-explorer/linked-anchors-internal

Query parameters

timeoutinteger

A manual timeout duration in seconds.

limitinteger

The number of results to return.

Default:1000
order_bystring

A column to order results by. See response schema for valid column identifiers.

wherestring

The filter expression. The following column identifiers are recognized (this differs from the identifiers recognized by the select parameter).

anchor: The clickable words in a link that point to a URL.
type: string

dofollow_links: The number of outbound links with a given anchor from your target that don’t have the “nofollow” attribute.
type: integer

domain: A linked domain that has at least one link from your target with a given anchor.
type: string

domain_rating: The strength of a domain's backlink profile compared to the others in our database on a 100-point scale.
type: float

first_seen: The date we first found a link with a given anchor on your target.
type: datetime

is_content: The link was found in the biggest piece of content on the page.
type: boolean

is_dofollow: The link has no special nofollow attribute.
type: boolean

is_nofollow: The link or the referring page has the nofollow attribute set.
type: boolean

is_non_html: The link points to a URL with non-HTML content.
type: boolean

is_sponsored: The link has the Sponsored attribute set in the referring page HTML.
type: boolean

is_ugc: The link has the User Generated Content attribute set in the referring page HTML.
type: boolean

languages: The languages listed in the referring page metadata or detected by the crawler to appear in the HTML.
type: array(string)

len_url_redirect: The number of redirect chain URLs.
type: integer

link_type: The kind of the backlink.
type: string
enum: "redirect" "frame" "text" "form" "canonical" "alternate" "rss" "image"

linked_domains_source: The number of unique root domains linked from the source page.
type: integer

linked_pages: The number of unique pages linked from your target with a given anchor.
type: integer

links_external: The number of external links from the referring page.
type: integer

links_from_target: The number of outbound links your target has with a given anchor.
type: integer

port_source: The network port of the referring page URL.
type: integer

port_target: The network port of the target page URL.
type: integer

positions: The number of keywords that the referring page ranks for in the top 100 positions.
type: integer

powered_by: Web technologies used to build and serve the referring page content.
type: array(string)

refdomains_source (5 units): The number of unique referring domains linking to the referring page.
type: integer

snippet_left: The snippet of text appearing just before the link.
type: string

snippet_right: The snippet of text appearing just after the link.
type: string

title: The html title of the referring page.
type: string

traffic_page (10 units): The referring page's estimated monthly organic traffic from search.
type: integer

url_from: The URL of the page containing a link to your target.
type: string

url_redirect: A redirect chain the target URL of the link points to.
type: array(url)

url_redirect_with_target: The target URL of the link with its redirect chain.
type: array(string)

url_to: The URL the backlink points to.
type: string

selectstringRequired

A comma-separated list of columns to return. See response schema for valid column identifiers.

protocolstring

The protocol of your target.

Allowed values:bothhttphttps
Default:both
targetstringRequired

The target of the search: a domain or a URL.

modestring

The scope of the search based on the target you entered.

Allowed values:exactprefixdomainsubdomains
Default:subdomains
outputstring

The output format.

Allowed values:jsoncsvxmlphp

Responses

linkedanchorsarray
anchorstring

The clickable words in a link that point to a URL.

dofollow_linksinteger

The number of outbound links with a given anchor from your target that don’t have the “nofollow” attribute.

first_seenstring

The date we first found a link with a given anchor on your target.

linked_pagesinteger

The number of unique pages linked from your target with a given anchor.

links_from_targetinteger

The number of outbound links your target has with a given anchor.